#!/bin/sh

# All Rights Reserved * Licensed Materials - Property of IBM
# 5724-I63, 5724-H88, 5655-N01, 5733-W60 (C) COPYRIGHT International Business Machines Corp., 1997,2005
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

# XD util to encode passwords
# Usage PasswordEncoder pwdtoEncode

Encoder=com.ibm.ws.security.util.PasswordEncoder

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

#Platform specific args...
PLATFORM=`/bin/uname`
case $PLATFORM in
  AIX)
    CONSOLE_ENCODING=-Dws.output.encoding=console
    LIBPATH="$WAS_LIBPATH":$LIBPATH
    export LIBPATH ;;
  Linux)
    CONSOLE_ENCODING=-Dws.output.encoding=console
    LD_LIBRARY_PATH="$WAS_LIBPATH":$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH ;;
  SunOS)
    CONSOLE_ENCODING=-Dws.output.encoding=console
    LD_LIBRARY_PATH="$WAS_LIBPATH":$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH ;;
  HP-UX)
    CONSOLE_ENCODING=-Dws.output.encoding=console
    SHLIB_PATH="$WAS_LIBPATH":$SHLIB_PATH
    export SHLIB_PATH ;;
  OS/390)
    PATH=$binDir:$PATH
    export PATH
    EXTRA_D_ARG1=-Dfile.encoding=ISO8859-1
    EXTRA_D_ARG2=-Djava.ext.dirs="$JAVA_EXT_DIRS"
    EXTRA_X_ARGS=-Xnoargsconversion ;;
esac


# For debugging the utility itself
# WAS_DEBUG="-Djava.compiler=NONE -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=7777"

MYCLASSPATH=$WAS_HOME/lib/securityimpl.jar:$WAS_HOME/lib/iwsorb.jar:$WAS_HOME/lib/ras.jar:$WAS_HOME/lib/bootstrap.jar:$WAS_HOME/lib/wsexception.jar:$WAS_HOME/lib/commons-logging-api.jar:$WAS_HOME/lib/emf.jar:$WAS_HOME/lib/ffdc.jar

"$JAVA_HOME"/bin/java -cp $MYCLASSPATH $Encoder "$@"
exit $?
